Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  2 separate PDF aus einer Inv.-Datei mit 2 Seiten erstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  2 separate PDF aus einer Inv.-Datei mit 2 Seiten erstellen (211 mal gelesen)
krümelandrej
Mitglied



Sehen Sie sich das Profil von krümelandrej an!   Senden Sie eine Private Message an krümelandrej  Schreiben Sie einen Gästebucheintrag für krümelandrej

Beiträge: 30
Registriert: 04.11.2021

Windows 10
Inventor 2021

erstellt am: 16. Nov. 2022 12:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebe Experten,

gibt es in Inventor die Möglichkeit, dass wenn man 2 separate Blätter in Inventor hat, auch 2 PDF-Dateien zu erstellen, die dann zum Beispiel PQ1311 und PQ1311_1 heißen??

Vielen Dank im Voraus und liebe Grüße 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

freierfall
Ehrenmitglied V.I.P. h.c.
selbstst. techn. Zeichner



Sehen Sie sich das Profil von freierfall an!   Senden Sie eine Private Message an freierfall  Schreiben Sie einen Gästebucheintrag für freierfall

Beiträge: 11433
Registriert: 30.04.2004

WIN10 64bit, 32GB RAM
IV bis 2022

erstellt am: 16. Nov. 2022 12:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für krümelandrej 10 Unities + Antwort hilfreich

nein gibt es nicht. herzlich Sascha

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RolandD
Mitglied



Sehen Sie sich das Profil von RolandD an!   Senden Sie eine Private Message an RolandD  Schreiben Sie einen Gästebucheintrag für RolandD

Beiträge: 527
Registriert: 07.01.2005

i7-9700k
32GB DDR4-RAM
Nvidia RTX 2060
SSD 970 m.2
Win10-64 (21H2)
AIP 2020.3
Dell U3417W

erstellt am: 16. Nov. 2022 12:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für krümelandrej 10 Unities + Antwort hilfreich

Hallo krümelandrej,

Doch das geht, wenn du die Blätter einzeln exportierst und den richtigen Dateinamen vergibst:
Datei - Exportieren - PDF
Im Dateidialog in den Optionen (unten neben Speichern) einstellen: aktuelles Blatt

------------------
Gruß Roland

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 581
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 16. Nov. 2022 15:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für krümelandrej 10 Unities + Antwort hilfreich

ließe sich auch automatisieren
mit iLogic oder VBA

Export to PDF API Sample

evtl. gibts auch schon ein passendes Plugin/App

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MacFly8
Ehrenmitglied
Konstrukteur Kessel- & Feuerungsbau


Sehen Sie sich das Profil von MacFly8 an!   Senden Sie eine Private Message an MacFly8  Schreiben Sie einen Gästebucheintrag für MacFly8

Beiträge: 1976
Registriert: 13.08.2007

HP Z17;
64GB RAM; Nvidia Quadro RTX3000;
Inventor Professional PDSU 2012/2020
Mechanical 2012/2020

erstellt am: 16. Nov. 2022 16:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für krümelandrej 10 Unities + Antwort hilfreich

hier im Forum gibt es auch eine ilogic die das macht.

https://ww3.cad.de/foren/ubb/Forum258/HTML/001389.shtml

Beitrag von Krissi70

den Code habe ich mal ein bißchen angepasst

'
'PDF erstellen - alle Seiten einzeln
'

Dim oSheetName As String
Dim erste_Seite As String
Dim oDoc As DrawingDocument
Dim oSheets As Sheet
oDoc = ThisApplication.ActiveDocument
erste_Seite = ""

oFolder = ThisDoc.PathAndFileName(False)

booleanParam_Farbe = InputRadioBox("Farbe", "SW", "Farbig", True, Title :="Farbauswahl")
oFarbe = 1
If booleanParam_Farbe = "False" Then oFarbe = 0

booleanParam_LS = InputRadioBox("Linienstärke", "ja", "nein", True, Title :="Linienstärke")
oLS = 0
If booleanParam_LS = "False" Then oLS = 1

For Each oSheets In oDoc.Sheets

oSheets.Activate

oSheet = ActiveSheet
oFileName = ThisDoc.FileName(False) 'without extension
oRevNum = iProperties.Value("Project", "Revision Number")
oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _
("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium

oSheetName =  Right(oSheet.Name,1) 'Blattnummer

If oSheetName = "1" Then
erste_Seite = oSheet.Name

End If

oOptions.Value("All_Color_AS_Black") = oFarbe
oOptions.Value("Remove_Line_Weights") = oLS
oOptions.Value("Vector_Resolution") = 400
oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintCurrentSheet

Dim WshShell As Object
WshShell = CreateObject("WScript.Shell")

WshShell = Nothing

oDataMedium.FileName = oFolder  & "_Blatt-" & oSheetName & ".pdf"
oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions, oDataMedium)

Next

ActiveSheet = ThisDrawing.Sheet(erste_Seite)

MfG MacFly

------------------
- - - der Erleuchtung ist es egal wie du Sie erlangst - - -
- - - Wir leben alle unter demselben Himmel, aber wir haben nicht alle denselben Horizont - - - (K. Adenauer)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

krümelandrej
Mitglied



Sehen Sie sich das Profil von krümelandrej an!   Senden Sie eine Private Message an krümelandrej  Schreiben Sie einen Gästebucheintrag für krümelandrej

Beiträge: 30
Registriert: 04.11.2021

Windows 10
Inventor 2021

erstellt am: 17. Nov. 2022 10:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Screenshot2022-11-17105059.jpg

 
Moin MacFly8,

habe deinen Code mal eingefügt, bekomme jedoch immer diese Fehlermeldung ausgespuckt.

Weißt du was es damit auf sich hat?

Viele Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

krümelandrej
Mitglied



Sehen Sie sich das Profil von krümelandrej an!   Senden Sie eine Private Message an krümelandrej  Schreiben Sie einen Gästebucheintrag für krümelandrej

Beiträge: 30
Registriert: 04.11.2021

Windows 10
Inventor 2021

erstellt am: 17. Nov. 2022 11:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Screenshot2022-11-17110349.jpg

 
Moin Krabby,

bei dir bekomme ich diese Fehlermeldung ausgespuckt. Diese verstehe ich nicht wirklich, da die angegeben Sachen die eig. fehlen ja  vorhanden sind.
Oder übersehe ich hier gerade etwas?

Viele Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MacFly8
Ehrenmitglied
Konstrukteur Kessel- & Feuerungsbau


Sehen Sie sich das Profil von MacFly8 an!   Senden Sie eine Private Message an MacFly8  Schreiben Sie einen Gästebucheintrag für MacFly8

Beiträge: 1976
Registriert: 13.08.2007

HP Z17;
64GB RAM; Nvidia Quadro RTX3000;
Inventor Professional PDSU 2012/2020
Mechanical 2012/2020

erstellt am: 17. Nov. 2022 11:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für krümelandrej 10 Unities + Antwort hilfreich

Kann es sein das deine Zeichnung nicht gespeichert ist?

Ansonsten läuft der Code bei mir auf 2020 und 2022

Kannst nach

'
'PDF erstellen - alle Seiten einzeln
'

noch das Einfügen als erinnerung

MessageBox.Show("Datei erst speichern dann pdf erstellen")

MfG MacFly


------------------
- - - der Erleuchtung ist es egal wie du Sie erlangst - - -
- - - Wir leben alle unter demselben Himmel, aber wir haben nicht alle denselben Horizont - - - (K. Adenauer)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

krümelandrej
Mitglied



Sehen Sie sich das Profil von krümelandrej an!   Senden Sie eine Private Message an krümelandrej  Schreiben Sie einen Gästebucheintrag für krümelandrej

Beiträge: 30
Registriert: 04.11.2021

Windows 10
Inventor 2021

erstellt am: 17. Nov. 2022 13:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Jo danke, das war's

upsi ... 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz